Package wx :: Package lib :: Module customtreectrl :: Class TreeTextCtrl

[frames | no frames]

## Type TreeTextCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                      TextCtrl --+
                                 |
                                TreeTextCtrl

Control used for in-place edit.

Method Summary
| ``__init__`(self, owner, item)` Default class constructor.
| ``AcceptChanges`(self)` Accepts/refuses the changes made by the user.
| ``Finish`(self)` Finish editing.
| ``item`(self)` Returns the item currently edited.
| ``OnChar`(self, event)` Handles the wx.EVT_CHAR event for TreeTextCtrl.
| ``OnKeyUp`(self, event)` Handles the wx.EVT_KEY_UP event for TreeTextCtrl.
| ``OnKillFocus`(self, event)` Handles the wx.EVT_KILL_FOCUS event for TreeTextCtrl.
| ``StopEditing`(self)` Suddenly stops the editing.

Property Summary

Instance Method Details

### __init__(self, owner, item=None)
(Constructor)

Default class constructor. For internal use: do not call it in your code!

  Overrides:
    `wx.TextCtrl.__init__`

### AcceptChanges(self)

Accepts/refuses the changes made by the user.

### Finish(self)

Finish editing.

### item(self)

Returns the item currently edited.

### OnChar(self, event)

Handles the wx.EVT_CHAR event for TreeTextCtrl.

### OnKeyUp(self, event)

Handles the wx.EVT_KEY_UP event for TreeTextCtrl.

### OnKillFocus(self, event)

Handles the wx.EVT_KILL_FOCUS event for TreeTextCtrl.

### StopEditing(self)

Suddenly stops the editing.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:18 2007 | http://epydoc.sf.net